cURL
curl --request POST \
--url https://api.eka.care/abdm/v2/profile/share \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"counter_id": "<string>",
"hip_id": "<string>",
"location": {
"latitude": "<string>",
"longitude": "<string>"
},
"request_id": "<string>",
"user_x_token": "<string>"
}
'import requests
url = "https://api.eka.care/abdm/v2/profile/share"
payload = {
"counter_id": "<string>",
"hip_id": "<string>",
"location": {
"latitude": "<string>",
"longitude": "<string>"
},
"request_id": "<string>",
"user_x_token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
counter_id: '<string>',
hip_id: '<string>',
location: {latitude: '<string>', longitude: '<string>'},
request_id: '<string>',
user_x_token: '<string>'
})
};
fetch('https://api.eka.care/abdm/v2/profile/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}PHR
Request to generate token
Request to generate appointment token at the facility.
Get the hip_id and counter_id by reading the QR code of the Hospital/Clinic.
Use the device location for the location data
POST
/
abdm
/
v2
/
profile
/
share
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Query Parameters
OID is used to Identify the user.
Body
application/json
Was this page helpful?
⌘I

